summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-04-03 18:40:45 +0200
committerLars Wendler <polynomial-c@gentoo.org>2019-04-03 18:43:49 +0200
commite64f0ba389e94891c5b9b8642edc3b67d341bc73 (patch)
tree73d856201f45176972ce844d494ef8049a30bb3e /games-puzzle/pingus
parentkde-misc/kdiff3: Drop 1.8.0_pre20190322 (diff)
downloadgentoo-e64f0ba389e94891c5b9b8642edc3b67d341bc73.tar.gz
gentoo-e64f0ba389e94891c5b9b8642edc3b67d341bc73.tar.bz2
gentoo-e64f0ba389e94891c5b9b8642edc3b67d341bc73.zip
games-puzzle/pingus: Added live ebuild
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'games-puzzle/pingus')
-rw-r--r--games-puzzle/pingus/files/pingus-9999-no_libexec.patch33
-rw-r--r--games-puzzle/pingus/pingus-9999.ebuild50
2 files changed, 83 insertions, 0 deletions
diff --git a/games-puzzle/pingus/files/pingus-9999-no_libexec.patch b/games-puzzle/pingus/files/pingus-9999-no_libexec.patch
new file mode 100644
index 00000000000..45da29a4226
--- /dev/null
+++ b/games-puzzle/pingus/files/pingus-9999-no_libexec.patch
@@ -0,0 +1,33 @@
+From ef01ebf5401419a0e98dfe32efa9a0bc8564e26f Mon Sep 17 00:00:00 2001
+From: Lars Wendler <polynomial-c@gentoo.org>
+Date: Wed, 3 Apr 2019 18:35:28 +0200
+Subject: [PATCH] Don't install pingus executable into libexec
+
+This doesn't really make any sense.
+---
+ CMakeLists.txt | 9 ---------
+ 1 file changed, 9 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index f3a92be64..fa835236d 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -213,15 +213,6 @@ if(BUILD_TESTS)
+ endif(BUILD_TESTS)
+
+ install(TARGETS pingus
+- RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
+-
+-configure_file(
+- ${CMAKE_CURRENT_SOURCE_DIR}/pingus.sh.in
+- ${CMAKE_BINARY_DIR}/pingus.sh)
+-
+-install(FILES
+- ${CMAKE_BINARY_DIR}/pingus.sh
+- RENAME pingus
+ PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+ DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+--
+2.21.0
+
diff --git a/games-puzzle/pingus/pingus-9999.ebuild b/games-puzzle/pingus/pingus-9999.ebuild
new file mode 100644
index 00000000000..54588481980
--- /dev/null
+++ b/games-puzzle/pingus/pingus-9999.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit cmake-utils toolchain-funcs flag-o-matic xdg-utils
+
+DESCRIPTION="free Lemmings clone"
+HOMEPAGE="http://pingus.gitlab.io/"
+if [[ "${PV}" == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://gitlab.com/pingus/pingus.git"
+else
+ SRC_URI="https://github.com/Pingus/pingus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ dev-libs/boost:=
+ dev-libs/jsoncpp
+ media-libs/libpng:0=
+ media-libs/libsdl2[joystick,opengl,video]
+ media-libs/sdl2-image[png]
+ media-libs/sdl2-mixer[mod]
+ virtual/opengl
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.7.6-noopengl.patch
+ "${FILESDIR}"/${P}-no_libexec.patch
+)
+
+src_prepare() {
+ sed '/find_package(Boost/s@ signals@@' -i CMakeLists.txt || die
+ cmake-utils_src_prepare
+ strip-flags
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+}